# Uses of Class
net.shibboleth.profile.context.logic.RelyingPartyIdPredicate

Packages that use RelyingPartyIdPredicate
Package
Description
net.shibboleth.profile.context.logic
Predicates that evaluate profile contexts.

## Uses of RelyingPartyIdPredicate in net.shibboleth.profile.context.logic

Methods in net.shibboleth.profile.context.logic that return RelyingPartyIdPredicate
Modifier and Type
Method
Description
`static RelyingPartyIdPredicate`
RelyingPartyIdPredicate.`fromCandidate(String candidate)`
Workaround for Spring type conversion ambiguities.
`static RelyingPartyIdPredicate`
RelyingPartyIdPredicate.`fromCandidates(Collection<String> candidates)`
Workaround for Spring type conversion ambiguities.
`static RelyingPartyIdPredicate`
RelyingPartyIdPredicate.`fromPredicate(Predicate<String> pred)`
Workaround for Spring type conversion ambiguities.